This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 804790 - [abrt] claws-mail-3.8.0-1.fc16: handle_error: BadWindow (invalid Window parameter) / Process /usr/bin/claws-mail was killed by signal 5 (SIGTRAP)
[abrt] claws-mail-3.8.0-1.fc16: handle_error: BadWindow (invalid Window param...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oxygen-gtk2 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:921778b53c8103601848bc76920...
:
: 806407 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 15:26 EDT by George Avrunin
Modified: 2012-03-26 16:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: oxygen-gtk2-1.2.2-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-24 19:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (16.02 KB, text/plain)
2012-03-19 15:26 EDT, George Avrunin
no flags Details
File: build_ids (6.81 KB, text/plain)
2012-03-19 15:26 EDT, George Avrunin
no flags Details
File: maps (73.63 KB, text/plain)
2012-03-19 15:26 EDT, George Avrunin
no flags Details
File: backtrace (86.67 KB, text/plain)
2012-03-19 15:26 EDT, George Avrunin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 295875 None None None Never

  None (edit)
Description George Avrunin 2012-03-19 15:26:00 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
comment:        I sent a message.  Claws showed something about "scanning folder avrunin@ext.math.umass.edu/Queue" at the bottom and then died.
crash_function: handle_error
executable:     /usr/bin/claws-mail
kernel:         3.2.10-3.fc16.x86_64
pid:            32684
pwd:            /home/avrunin/.claws-mail/imapcache/ext.math.umass.edu/avrunin/Drafts
reason:         Process /usr/bin/claws-mail was killed by signal 5 (SIGTRAP)
time:           Mon 19 Mar 2012 03:04:34 PM EDT
uid:            1000
username:       avrunin

backtrace:      Text file, 88752 bytes
build_ids:      Text file, 6970 bytes
dso_list:       Text file, 16403 bytes
maps:           Text file, 75401 bytes

environ:
:XDG_VTNR=1
:BIBINPUTS=.:/home/avrunin/texmf/bib/::
:SSH_AGENT_PID=24617
:XDG_SESSION_ID=327
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=ext.math.umass.edu
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/avrunin/.gnupg/S.gpg-agent:22559:1
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=23287735446da618894594d50000007f-1332165398.289196-1995129078
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:LATEX_MK_DIR=/usr/share/latex-mk
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/avrunin/.gtkrc-2.0:/home/avrunin/.gtkrc-2.0-kde4:/home/avrunin/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/tmp/keyring-uRWNuE
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:JPILOT_HOME=/home/avrunin/crypt
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=avrunin
:SSH_AUTH_SOCK=/tmp/ssh-iuJOacJ24468/agent.24468
:DESKTOP_SESSION=kde-plasma
:PATH=/home/avrunin/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/sbin:/usr/sbin
:MAIL=/var/spool/mail/avrunin
:QT_IM_MODULE=xim
:PWD=/home/avrunin
:XMODIFIERS=@im=none
:'EDITOR=emacs -fn \"DejaVu Sans Mono-9.5\" '
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=24466
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:KDEDIRS=/usr
:LOADEDMODULES=
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:TEXINPUTS=.:/home/avrunin/texmf::
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/avrunin
:KDE_SESSION_VERSION=4
:LOGNAME=avrunin
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Bps0FjH5z6,guid=005da6e4b477b088e33cb93d00012c22
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/avrunin
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/avrunin/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-avrunin/xauth-1000-_0
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/24726,unix/unix:/tmp/.ICE-unix/24726
:XCURSOR_THEME=default
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/avrunin/.gtkrc:/home/avrunin/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=ext.math.umass.edu;1332183787;110442;24788_TIME95221984

smolt_data:
:
:
:General
:=================================
:UUID: ee3029bc-34fb-4a82-a402-0ee0c8fecaa0
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6333.33
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E8500  @ 3.16GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 3163
:System Memory: 7987
:System Swap: 32767
:Vendor: System manufacturer
:System: P5K-VM System Version
:Form factor: Desktop
:Kernel: 3.2.10-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10688:4163:33398) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10689:32902:0) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:(32902:10544:4163:33399) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10529:4163:33399) pci, ata_piix, STORAGE, 82801IB (ICH9) 2 port SATA IDE Controller
:(32902:10520:4163:33399) pci, None, PCI/ISA, 82801IB (ICH9) LPC Interface Controller
:(32902:10534:4163:33399) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(4523:17252:4163:33272) pci, sky2, ETHERNET, 88E8056 PCI-E Gigabit Ethernet Controller
:(32902:10549:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:4163:33399) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10553:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(6523:9064:4163:33406) pci, pata_jmicron, STORAGE, JMB368 IDE controller
:(32902:10560:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4163:33399) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4318:1025:5762:8838) pci, nouveau, VIDEO, G84 [GeForce 8600GT]
:(32902:10570:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(32902:10552:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/md1 / ext4 4096 4096 65460180 59808145 56531360 16384000 15792640 15792640
:/dev/sda1 /boot ext4 4096 4096 1045750 978604 926176 262144 261871 261871
:/dev/md3 /home ext4 4096 4096 107756960 65378486 59984760 26976256 26477972 26477972
:/dev/sdb1 WITHHELD ext4 4096 4096 1045750 997298 944870 262144 262133 262133
:/dev/md2 WITHHELD ext4 4096 4096 65460180 61267860 57991075 16384000 16380749 16380749
:/dev/mapper/ext_backup WITHHELD ext4 4096 4096 300452991 101025067 85987638 75194368 69359305 69359305
:

var_log_messages:
:Mar 19 10:04:12 ext kernel: [77287.456434] claws-mail[25686] trap int3 ip:37a044d313 sp:7fff47db6110 error:0
:Mar 19 10:04:15 ext abrt[26316]: Saved core dump of pid 25686 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-03-19-10:04:12-25686 (270258176 bytes)
:Mar 19 14:50:19 ext kernel: [94454.723500] claws-mail[30072] trap int3 ip:37a044d313 sp:7fff41e41bf0 error:0
:Mar 19 14:50:22 ext abrt[32242]: Saved core dump of pid 30072 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-03-19-14:50:19-30072 (251170816 bytes)
:Mar 19 15:02:59 ext kernel: [95214.255360] claws-mail[32391] trap int3 ip:37a044d313 sp:7fff6d993db0 error:0
:Mar 19 15:03:01 ext abrt[32660]: Saved core dump of pid 32391 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-03-19-15:02:59-32391 (237223936 bytes)
:Mar 19 15:04:34 ext kernel: [95309.827023] claws-mail[32684] trap int3 ip:37a044d313 sp:7fffc8a12d40 error:0
:Mar 19 15:04:37 ext abrt[32734]: Saved core dump of pid 32684 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-03-19-15:04:34-32684 (208531456 bytes)

xsession_errors:
:** (claws-mail:3009): WARNING **: Trying to register gtype 'GtkCMUnit' as enum when in fact it is of type 'gint'
:Gdk-ERROR **: The program 'claws-mail' received an X Window System error.
:** (claws-mail:3435): WARNING **: Trying to register gtype 'GtkCMUnit' as enum when in fact it is of type 'gint'
:** (claws-mail:3435): WARNING **: [15:15:46] IMAP error on ext.math.umass.edu: stream error
:** (claws-mail:3435): WARNING **: [15:15:46] IMAP4 connection broken
:Gdk-ERROR **: The program 'claws-mail' received an X Window System error.
:** (claws-mail:3721): WARNING **: Trying to register gtype 'GtkCMUnit' as enum when in fact it is of type 'gint'
:Gdk-ERROR **: The program 'claws-mail' received an X Window System error.
Comment 1 George Avrunin 2012-03-19 15:26:05 EDT
Created attachment 571215 [details]
File: dso_list
Comment 2 George Avrunin 2012-03-19 15:26:07 EDT
Created attachment 571216 [details]
File: build_ids
Comment 3 George Avrunin 2012-03-19 15:26:09 EDT
Created attachment 571217 [details]
File: maps
Comment 4 George Avrunin 2012-03-19 15:26:10 EDT
Created attachment 571218 [details]
File: backtrace
Comment 5 Michael Schwendt 2012-03-19 15:57:47 EDT
The crash is completely unrelated to scanning a folder:

| Gdk-ERROR **: The program 'claws-mail' received an X Window System error.

| #2  0x00000037b9e6ab2b in gdk_x_error (error=<optimized out>,
| display=<optimized out>) at gdkmain-x11.c:486
|       buf = "BadWindow (invalid Window parameter)",

Steps on how to reproduce that would be required.

However, unstable IMAP connections (with/without interrupted networking) can lead to problems in Claws Mail (and several upstream tickets exist for IMAP related issues already):

** (claws-mail:3435): WARNING **: [15:15:46] IMAP error on ext.math.umass.edu:
stream error
:** (claws-mail:3435): WARNING **: [15:15:46] IMAP4 connection broken
Comment 6 George Avrunin 2012-03-19 16:49:40 EDT
This happens even when running claws on the machine that's the IMAP server.  Perhaps the IMAP error reflects something claws-mail is doing after the X problem that causes the crash?  Is there anything I should try to sort that out?  I'm not seeing anything strange in /var/log/maillog except dovecot disconnects after the crash.  

I ran claws from the command line as "claws-mail --debug" and everything looked ok to me (for whatever that's worth) until I sent a message.  Claws crashed and the last text printed on the console was:

Gdk-ERROR **: The program 'claws-mail' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 54106 error_code 3 request_code 151 minor_code 3)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap

So I ran it with claws-mail --debug --sync with pretty much the same result.
Comment 7 Michael Schwendt 2012-03-19 17:44:43 EDT
It isn't a bug in Claws Mail. It's an X error.

...
#102 0x000000000048fb97 in compose_send (compose=0xb3930c0) at compose.c:5108
#101 0x000000000048cdf4 in compose_close (compose=0xb3930c0) at compose.c:11268
#100 compose_destroy (compose=0xb3930c0) at compose.c:8473
#99 0x000000000048ccc5 in compose_destroy (compose=0xb3930c0) at compose.c:8554
...

That's in Claws Mail compose window. Then steps #98 down to #9 are in GTK+/GLib and finally X:

...
#9  0x00000037b9e705a0 in IA__gdk_selection_owner_set_for_display (display=<optimized out>, owner=0x0, selection=0x1, time=95308817, send_event=<optimized out>) at gdkselection-x11.c:184
#8  0x000000379f82ab63 in XGetSelectionOwner (dpy=0x2b71800, selection=1) at GetSOwner.c:41
#7  0x000000379f845de0 in _XReply (dpy=0x2b71800, rep=0x7fffc8a13530, extra=0, discard=1) at xcb_io.c:566
#6  0x000000379f844fd5 in handle_response (dpy=0x2b71800, response=0xb90dbb0, in_XReply=<optimized out>) at xcb_io.c:266
#5  0x000000379f844f91 in handle_error (dpy=0x2b71800, err=0xb90dbb0, in_XReply=<optimized out>) at xcb_io.c:166
#4  0x000000379f84810f in _XError (dpy=0x2b71800, rep=<optimized out>) at XlibInt.c:1583
...
Comment 8 George Avrunin 2012-03-19 18:07:43 EDT
I don't think it's my KDE settings, either.  I set up a scratch user, created an appropriate account in claws as that user, and tried sending.  Same thing happens.
Comment 9 Michael Schwendt 2012-03-20 04:33:39 EDT
Well, just for comparison, there's a similar crash of Konqueror in bug 758114 with parts of the backtrace quoted in bug 758114 comment 10. "BadWindow (invalid Window parameter)"
Comment 10 George Avrunin 2012-03-20 06:39:53 EDT
Per Kevin Kofler's message on the Fedora KDE mailing list, I switched from the oxygen-gtk2 theme to the Adwaita theme and the problem goes away.  

I've changed the component for this bug to oxygen-gtk2.  (So I guess it was in my KDE settings, but I had the default for the relevant item.)  It sounds like this is probably not related to the Konqueror problem in 758114, but thanks for the suggestion.
Comment 12 Fedora Update System 2012-03-20 12:31:43 EDT
oxygen-gtk2-1.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/oxygen-gtk2-1.2.2-2.fc17
Comment 13 Fedora Update System 2012-03-20 12:32:00 EDT
oxygen-gtk2-1.2.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/oxygen-gtk2-1.2.2-2.fc16
Comment 14 Fedora Update System 2012-03-20 22:31:07 EDT
Package oxygen-gtk2-1.2.2-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing oxygen-gtk2-1.2.2-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4288/oxygen-gtk2-1.2.2-2.fc16
then log in and leave karma (feedback).
Comment 15 nucleo 2012-03-21 08:26:56 EDT
Is oxygen-gtk2-1.2.2-2.fc16 from updates-testing fixes bug?
Comment 16 Rex Dieter 2012-03-21 09:02:39 EDT
$ rpm -q claws-mail oxygen-gtk2
claws-mail-3.8.0-1.fc16.x86_64
oxygen-gtk2-1.2.2-2.fc16.x86_64

this combination works fine for me.
Comment 17 George Avrunin 2012-03-21 20:25:06 EDT
[~] 1) rpm -q claws-mail oxygen-gtk2
claws-mail-3.8.0-1.fc16.x86_64
oxygen-gtk2-1.2.2-2.fc16.x86_64

Works for me, too.
Comment 18 Michael Schwendt 2012-03-23 12:38:31 EDT
*** Bug 806407 has been marked as a duplicate of this bug. ***
Comment 19 Patrick C. F. Ernzer 2012-03-23 17:14:23 EDT
# rpm -q claws-mail oxygen-gtk2
claws-mail-3.8.0-1.fc16.x86_64
oxygen-gtk2-1.2.2-2.fc16.x86_64

fixes the problem for me as well. Thank you nucleo
Comment 20 Fedora Update System 2012-03-24 19:20:05 EDT
oxygen-gtk2-1.2.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 nucleo 2012-03-25 19:46:09 EDT
Can someone test this update?
https://admin.fedoraproject.org/updates/FEDORA-2012-4655
Crash also should be fixed there.
Comment 22 Patrick C. F. Ernzer 2012-03-26 16:07:22 EDT
(In reply to comment #21)

confirm; going from 1.2.2-2 to 1.2.2.1-1 the bug remains fixed.

Note You need to log in before you can comment on or make changes to this bug.